%global upstream_name requests-kerberos
%global module_name requests_kerberos
%global commit0 75d29584a0c40a17a0bed8f228707bf53f703fdc
%global gittag0 v0.10.0
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           python-%{upstream_name}
Version:        0.10.0
Release:        %mkrel 8
Summary:        A Kerberos authentication handler for python-requests
Group:          Development/Python
License:        MIT
URL:            https://github.com/requests/requests-kerberos
# Upstream considers Github not PyPI to be the authoritative source tarballs:
# https://github.com/requests/requests-kerberos/pull/78
Source0:        https://github.com/requests/requests-kerberos/archive/%{commit0}.tar.gz#/%{upstream_name}-%{shortcommit0}.tar.gz
# Upstream has switched their requirement to the "pykerberos" fork, but for now 
# we still have the original "kerberos" module in Fedora.
Patch1:         0001-switch-requirement-from-pykerberos-back-to-kerberos.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest >= 2.9.2-2
BuildRequires:  python3-mock

%description
Requests is an HTTP library, written in Python, for human beings. This library 
adds optional Kerberos/GSSAPI authentication support and supports mutual 
authentication.

%package -n python3-%{upstream_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-requests >= 1.1
Requires:       python3-kerberos
# runtime requirements are needed for tests also
BuildRequires:  python3-requests >= 1.1
BuildRequires:  python3-kerberos
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Requests is an HTTP library, written in Python, for human beings. This library 
adds optional Kerberos/GSSAPI authentication support and supports mutual 
authentication.

%prep
%setup -q -n %{upstream_name}-%{commit0}
%autopatch -p1

%build
%py3_build

%check
py.test-3 test_requests_kerberos.py

%install
%py3_install

%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}*.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-8.mga8
+ Revision: 1534952
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 daviddavid <daviddavid> 0.10.0-7.mga8
+ Revision: 1450364
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.10.0-6.mga7
+ Revision: 1353318
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-5.mga7
+ Revision: 1289998
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.0-4.mga7
+ Revision: 1135609
- Rebuild for python 3.6

* Wed Nov 30 2016 ngompa <ngompa> 0.10.0-3.mga6
+ Revision: 1071099
- imported package python-requests-kerberos


* Tue Nov 29 2016 Neal Gompa <ngompa13@gmail.com> - 0.10.0-3
- Port to Mageia

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jul 12 2016 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-1
- upstream bug fix release 0.10.0:
  https://github.com/requests/requests-kerberos/blob/v0.10.0/HISTORY.rst#0100-2016-05-18

* Fri Jul 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-5
- add Obsoletes for python -> python2 rename

* Fri Jul 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-4
- build for Python 2 and 3 (RHBZ#1334415)
- use %%license
- run tests in %%check

* Thu Feb 11 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-3
- really fix requirements for kerberos module (#1305986)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.8.0-1
- upstream release 0.8.0 (#1296743)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Dan Callaghan <dcallagh@redhat.com> - 0.7.0-2
- relaxed version in kerberos module requirement, to work with
  python-kerberos 1.1 (#1215565)

* Tue May 05 2015 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0 (#1164464)

* Fri Nov 07 2014 Dan Callaghan <dcallagh@redhat.com> - 0.6-1
- fix for mutual authentication handling (RHBZ#1160545, CVE-2014-8650)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Dan Callaghan <dcallagh@redhat.com> - 0.5-1
- upstream bug fix release 0.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Dan Callaghan <dcallagh@redhat.com> - 0.3-1
- upstream bug fix release 0.3

* Mon May 27 2013 Dan Callaghan <dcallagh@redhat.com> - 0.2-2
- require requests >= 1.0

* Tue May 14 2013 Dan Callaghan <dcallagh@redhat.com> - 0.2-1
- initial version
